## midori 0.4.8-1~precise~ppa1+6.0trisquel2

=== wscript ===
#! /usr/bin/env python
# WAF build script for midori
# This file is licensed under the terms of the expat license, see the file EXPAT.

import sys

# Waf version check, for global waf installs
try:
    from Constants import WAFVERSION
except:
    WAFVERSION='1.0.0'
if WAFVERSION[:3] != '1.5':
    print ('Incompatible Waf, use 1.5')
    sys.exit (1)

import Build
import Options
import Utils
import pproc as subprocess
import os
try:
    import UnitTest
except:
    import unittestw as UnitTest
import Task
from TaskGen import extension, feature, taskgen
import misc
from Configure import find_program_impl

major = 0
minor = 4
micro = 8

APPNAME = 'midori'
VERSION = VERSION_FULL = str (major) + '.' + str (minor) + '.' + str (micro)
VERSION_SUFFIX = ' (%s)' % VERSION

try:
    if os.path.isdir ('.git'):
        git = Utils.cmd_output (['git', 'describe'], silent=True)
        if git:
            VERSION_FULL = git.strip ()
    elif os.path.isdir ('.bzr'):
        bzr = Utils.cmd_output (['bzr', 'revno'], silent=True)
        if bzr:
            VERSION_FULL = '%s~r%s' % (VERSION, bzr.strip ())
    else:
        folder = os.getcwd ()
        if VERSION in folder:
            VERSION_FULL = os.path.basename (folder)
    if VERSION in VERSION_FULL:
        VERSION_SUFFIX = VERSION_FULL.replace (VERSION, '')
except:
    pass

srcdir = '.'
blddir = '_build' # recognized by ack

def option_enabled (option):
    if getattr (Options.options, 'enable_' + option):
        return True
    if getattr (Options.options, 'disable_' + option):
        return False
    return True

def is_mingw (env):
    if 'CC' in env:
        cc = env['CC']
        if not isinstance (cc, str):
            cc = ''.join (cc)
        return cc.find ('mingw') != -1# or cc.find ('wine') != -1
    return False

def is_win32 (env):
    return is_mingw (env) or Options.platform == 'win32'

# Compile Win32 res files to (resource) object files
def rc_file(self, node):
    rctask = self.create_task ('winrc')
    rctask.set_inputs (node)
    rctask.set_outputs (node.change_ext ('.rc.o'))
    self.compiled_tasks.append (rctask)
rc_file = extension ('.rc')(rc_file)
Task.simple_task_type ('winrc', '${WINRC} -o${TGT} ${SRC}', color='BLUE',
    before='cc cxx', shell=False)

def configure (conf):
    def option_checkfatal (option, desc):
        if hasattr (Options.options, 'enable_' + option):
            if getattr (Options.options, 'enable_' + option):
                Utils.pprint ('RED', desc + ' N/A')
                sys.exit (1)

    def dirname_default (dirname, default, defname=None):
        if getattr (Options.options, dirname) == '':
            dirvalue = default
        else:
            dirvalue = getattr (Options.options, dirname)
        if not defname:
            defname = dirname
        conf.define (defname, dirvalue)
        return dirvalue

    def check_version (given_version, major, minor, micro):
        if '.' in given_version:
            given_major, given_minor, given_micro = given_version.split ('.', 2)
            if '.' in given_micro:
                given_micro, given_pico = given_micro.split ('.', 1)
        else:
            given_major, given_minor, given_micro = given_version
        return int(given_major) >  major or \
               int(given_major) == major and int(given_minor) >  minor or \
               int(given_major) == major and int(given_minor) == minor and int(given_micro) >= micro

    conf.check_message_custom ('release version', '', VERSION_FULL)

    conf.check_tool ('compiler_cc')
    conf.check_tool ('vala')
    conf.check_tool ('glib2')
    if not check_version (conf.env['VALAC_VERSION'], 0, 14, 0):
        Utils.pprint ('RED', 'Vala 0.14.0 or later is required.')
        sys.exit (1)

    if option_enabled ('nls'):
        conf.check_tool ('intltool')
        if not conf.env['INTLTOOL'] and conf.env['POCOM']:
            option_checkfatal ('nls', 'localization')
            conf.define ('ENABLE_NLS', 0)
        else:
            conf.define ('ENABLE_NLS', 1)
    else:
        conf.define ('ENABLE_NLS', 0)
        conf.check_message_custom ('nls', '', 'disabled')

    conf.find_program ('rsvg-convert', var='RSVG_CONVERT')

    if is_win32 (conf.env):
        conf.find_program ('windres', var='WINRC')
        conf.env['platform'] = 'win32'

    # This is specific to cross compiling with mingw
    if is_mingw (conf.env) and Options.platform != 'win32':
        if not 'AR' in os.environ and not 'RANLIB' in os.environ:
            conf.env['AR'] = os.environ['CC'][:-3] + 'ar'
        if conf.find_program (os.environ['CC'][:-3] + 'windres', var='WINRC'):
            os.environ['WINRC'] = os.environ['CC'][:-3] + 'windres'
        Options.platform = 'win32'
        # Make sure we don't have -fPIC in the CCFLAGS
        conf.env["shlib_CCFLAGS"] = []
        # Adjust file naming
        conf.env["shlib_PATTERN"] = 'lib%s.dll'
        conf.env['program_PATTERN'] = '%s.exe'
        # Use Visual C++ compatible alignment
        conf.env.append_value ('CCFLAGS', '-mms-bitfields')
        conf.env['staticlib_LINKFLAGS'] = []

        Utils.pprint ('BLUE', 'Mingw recognized, assuming cross compile.')

    dirname_default ('LIBDIR', os.path.join (conf.env['PREFIX'], 'lib'))
    if conf.env['PREFIX'] == '/usr':
        dirname_default ('SYSCONFDIR', '/etc')
    else:
        dirname_default ('SYSCONFDIR', os.path.join (conf.env['PREFIX'], 'etc'))
    dirname_default ('DATADIR', os.path.join (conf.env['PREFIX'], 'share'),
    # Use MDATADIR because DATADIR is a constant in objidl.h on Windows
        'MDATADIR')
    conf.undefine ('DATADIR')
    dirname_default ('DOCDIR', os.path.join (conf.env['MDATADIR'], 'doc'))
    if not APPNAME in conf.env['DOCDIR']:
        conf.env['DOCDIR'] += '/' + APPNAME
        conf.define ('DOCDIR', conf.env['DOCDIR'])

    if option_enabled ('apidocs'):
        conf.find_program ('gtkdoc-scan', var='GTKDOC_SCAN')
        conf.find_program ('gtkdoc-mktmpl', var='GTKDOC_MKTMPL')
        conf.find_program ('gtkdoc-mkdb', var='GTKDOC_MKDB')
        conf.find_program ('gtkdoc-mkhtml', var='GTKDOC_MKHTML')
        if conf.env['GTKDOC_SCAN'] and conf.env['GTKDOC_MKTMPL'] \
            and conf.env['GTKDOC_MKDB'] and conf.env['GTKDOC_MKHTML']:
            pass
        else:
            option_checkfatal ('apidocs', 'API documentation')
    else:
        conf.check_message_custom ('gtk-doc', '', 'disabled')

    def check_pkg (name, version='', mandatory=True, var=None, args=''):
        if not var:
            var = name.split ('-')[0].upper ()
        ver_str = ['',' >= ' + version][version != '']
        def okmsg_ver (kw):
            return conf.check_cfg (modversion=name, uselibstore=var)
        conf.check_cfg (msg='Checking for ' + name + ver_str, okmsg=okmsg_ver,
            package=name, uselib_store=var, args='--cflags --libs ' + args,
            atleast_version=version, mandatory=mandatory)
        have = conf.env['HAVE_' + var] == 1
        conf.define (var + '_VERSION', ['No', conf.check_cfg (modversion=name,
            uselib_store=var, errmsg=name + ver_str + ' not found')][have])
        return have

    if option_enabled ('gtk3'):
        check_pkg ('gcr-3', '2.32', mandatory=False)
    else:
        check_pkg ('gcr-3-gtk2', '2.32', mandatory=False)

    if option_enabled ('unique'):
        if option_enabled('gtk3'): unique_pkg = 'unique-3.0'
        else: unique_pkg = 'unique-1.0'
        if not check_pkg (unique_pkg, '0.9', mandatory=False):
            option_checkfatal ('unique', 'single instance')
    else:
        conf.define ('UNIQUE_VERSION', 'No')
        conf.check_message_custom ('unique', '', 'disabled')
    conf.define ('HAVE_UNIQUE', [0,1][conf.env['UNIQUE_VERSION'] != 'No'])

    if option_enabled ('libnotify'):
        if not check_pkg ('libnotify', mandatory=False):
            option_checkfatal ('libnotify', 'notifications')
    else:
        conf.define ('LIBNOTIFY_VERSION', 'No')
        conf.check_message_custom ('libnotify', '', 'disabled')
    conf.define ('HAVE_LIBNOTIFY', [0,1][conf.env['LIBNOTIFY_VERSION'] != 'No'])

    if option_enabled ('granite'):
        if not option_enabled ('gtk3'):
            if getattr (Options.options, 'enable_granite'):
                Utils.pprint ('RED', 'Granite requires --enable-gtk3')
                sys.exit (1)
            else:
                granite = 'no (requires --enable-gtk3)'
        else:
            check_pkg ('granite', '0.2', mandatory=False)
            granite = ['N/A', 'yes'][conf.env['HAVE_GRANITE'] == 1]
        if granite != 'yes':
            option_checkfatal ('granite', 'new notebook, pop-overs')
            conf.define ('GRANITE_VERSION', 'No')
        else:
            check_pkg ('clutter-gtk-1.0', '1.0')
            conf.env.append_value ('VALAFLAGS', '-D HAVE_GRANITE')
    else:
        conf.define ('GRANITE_VERSION', 'No')
        conf.check_message_custom ('granite', '', 'disabled')

    if option_enabled ('zeitgeist'):
        check_pkg ('zeitgeist-1.0', '0.3.14')
    else:
        conf.check_message_custom ('zeitgeist', '', 'disabled')

    conf.check (lib='m')
    check_pkg ('gmodule-2.0')
    check_pkg ('gio-2.0', '2.22.0')
    if check_version (conf.env['GIO_VERSION'], 2, 30, 0) \
        and check_version (conf.env['VALAC_VERSION'], 0, 16, 0):
        # Older Vala doesn't have GLib 2.30 bindings
        conf.env.append_value ('VALAFLAGS', '-D HAVE_GLIB_2_30')

    args = ''
    if Options.platform == 'win32':
        args = '--define-variable=target=win32'
        conf.env.append_value ('VALAFLAGS', '-D HAVE_WIN32')
    elif sys.platform != 'darwin':
        check_pkg ('x11')
        # Pass /usr/X11R6/include for OpenBSD
        conf.check (header_name='X11/extensions/scrnsaver.h',
                    includes='/usr/X11R6/include', mandatory=False)
        conf.check (lib='Xss', libpath='/usr/X11R6/lib', mandatory=False)
    if option_enabled ('gtk3'):
        check_pkg ('gtk+-3.0', '3.0.0', var='GTK', mandatory=False)
        check_pkg ('webkitgtk-3.0', '1.1.17', var='WEBKIT', mandatory=False)
        if not conf.env['HAVE_GTK'] or not conf.env['HAVE_WEBKIT']:
            Utils.pprint ('RED', 'GTK+3 was not found.\n' \
                'Pass --disable-gtk3 to build without GTK+3.')
            sys.exit (1)
        if check_version (conf.env['WEBKIT_VERSION'], 1, 5, 1):
            check_pkg ('javascriptcoregtk-3.0', '1.5.1', args=args)
        conf.env.append_value ('VALAFLAGS', '-D HAVE_GTK3')
        conf.env.append_value ('VALAFLAGS', '-D HAVE_OFFSCREEN')
        conf.env.append_value ('VALAFLAGS', '-D HAVE_DOM')
    else:
        check_pkg ('gtk+-2.0', '2.16.0', var='GTK')
        check_pkg ('webkit-1.0', '1.1.17', args=args)
        if check_version (conf.env['WEBKIT_VERSION'], 1, 5, 1):
            check_pkg ('javascriptcoregtk-1.0', '1.5.1', args=args)
        if check_version (conf.env['GTK_VERSION'], 2, 20, 0):
            conf.env.append_value ('VALAFLAGS', '-D HAVE_OFFSCREEN')
    conf.env['HAVE_GTK3'] = option_enabled ('gtk3')

    check_pkg ('libsoup-2.4', '2.27.90', var='LIBSOUP')
    if check_version (conf.env['LIBSOUP_VERSION'], 2, 29, 3):
        conf.define ('HAVE_LIBSOUP_2_29_3', 1)
    if check_version (conf.env['LIBSOUP_VERSION'], 2, 29, 91):
        conf.define ('HAVE_LIBSOUP_2_29_91', 1)
    if check_version (conf.env['LIBSOUP_VERSION'], 2, 33, 4):
        conf.define ('HAVE_LIBSOUP_2_33_4', 1)
    if check_version (conf.env['LIBSOUP_VERSION'], 2, 34, 0):
        conf.define ('HAVE_LIBSOUP_2_34_0', 1)
        conf.env.append_value ('VALAFLAGS', '-D HAVE_LIBSOUP_2_34_0')
    if check_version (conf.env['LIBSOUP_VERSION'], 2, 37, 1):
        conf.define ('HAVE_LIBSOUP_2_37_1', 1)
    if check_version (conf.env['WEBKIT_VERSION'], 1, 3, 8):
        conf.env.append_value ('VALAFLAGS', '-D HAVE_WEBKIT_1_3_8')
    if check_version (conf.env['WEBKIT_VERSION'], 1, 3, 13):

=== debian/changelog ===
midori (0.4.8-1~precise~ppa1+6.0trisquel2) toutatis; urgency=low

  * Search engines configured for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 08 Mar 2013 04:17:10 +0000

midori (0.4.8-1~precise~ppa1) precise; urgency=low

  * New upstream release.

 -- Liviu Andronic <landronimirc@gmail.com>  Thu, 07 Feb 2013 16:30:47 +0100

midori (0.4.7-1~precise~ppa1) precise; urgency=low

  * New upstream release.
  * Depend on libzeitgeist-dev.

 -- Liviu Andronic <landronimirc@gmail.com>  Thu, 20 Sep 2012 16:30:47 +0100

midori (0.4.6-1~precise~ppa1) precise; urgency=low

  * New upstream release.

 -- Liviu Andronic <landronimirc@gmail.com>  Wed, 16 May 2012 16:30:47 +0100

midori (0.4.5-1~precise~ppa1) precise; urgency=low

  * New upstream release.

 -- Liviu Andronic <landronimirc@gmail.com>  Sun, 22 Apr 2012 16:30:47 +0100

midori (0.4.4-1~precise~ppa1) precise; urgency=low

  * New upstream release.
  * Initial import.

 -- Liviu Andronic <landronimirc@gmail.com>  Sun, 11 Mar 2012 16:30:47 +0100

midori (0.4.2-1~llwkt2) lucid; urgency=low

  [Yves-Alexis Perez]
  * New upstream release.
  * debian/midori.{preinst,postinst,postrm}:
    - handle adblock configuration file rename.

 -- Stéphane Marguet (Stemp) <smarguet@gmail.com>  Tue, 15 Nov 2011 16:30:47 +0100

=== debian/control ===
Source: midori
Section: web
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Uploaders: Yves-Alexis Perez <corsac@debian.org>
Build-Depends: debhelper (>= 7.0.50),
 lsb-release,
 libgtk2.0-dev (>= 2.10),
 libglib2.0-dev,
 libwebkit-dev (>= 1.1.17),
 libxml2-dev (>= 2.6),
# For waf:
 python,
# Optional dependencies:
 intltool,
 libidn11-dev,
 librsvg2-bin,
 libsqlite3-dev,
 libunique-dev (>= 1.0.6),
 python-docutils,
 libsoup2.4-dev (>= 2.27.90),
 libnotify-dev,
 valac (>= 0.10),
 libzeitgeist-dev,
# For testing under xvfb:
 xvfb,
 xauth,
 xfonts-base,
 hardening-wrapper,
 libxss-dev
# Disabled optional dependencies:
Build-Conflicts: gtk-doc-tools,
 libgtksourceview2.0-dev (>= 2.0),
 libhildon-1-dev
Standards-Version: 3.9.2
Homepage: http://www.twotoasts.de/index.php?/pages/midori_summary.html
Vcs-Git: git://git.debian.org/collab-maint/midori.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/midori.git;a=summary

Package: midori
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dbus-x11
Recommends: gnome-icon-theme
Provides: www-browser
# For http://bugs.debian.org/522436 (missing symbols):
Conflicts: libsoup2.4-1 (<< 2.25.2)
Description: fast, lightweight graphical web browser
 Midori is a lightweight web browser based on WebKit.
 .
 Its features include:
 .
  * Full integration with GTK+2.
  * Fast rendering with WebKit.
  * Tabs, windows and session management.
  * Flexibly configurable Web Search.
  * User scripts and user styles support.
  * Straightforward bookmark management.
  * Customizable and extensible interface.
  * Support for extensions (written in C).
  * Custom context menu actions.

Package: midori-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends}, midori (= ${binary:Version})
Description: fast, lightweight graphical web browser (debug symbols)
 Midori is a lightweight web browser based on WebKit.
 .
 Its features include:
 .
  * Full integration with GTK+2.
  * Fast rendering with WebKit.
  * Tabs, windows and session management.
  * Flexibly configurable Web Search.
  * User scripts and user styles support.
  * Straightforward bookmark management.
  * Customizable and extensible interface.
  * Support for extensions (written in C).
  * Custom context menu actions.
 .
 This package contains the debugging symbols for midori.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS+=-Wl,--as-needed -Wl,-O1

# waf, thank you _so_ much
export LINKFLAGS=$(LDFLAGS)
export CCFLAGS=$(CFLAGS)

export DEB_BUILD_HARDENING=1

CMD=$(shell echo $@ | sed 's/override_//')

LIBWEBKIT_PKG=$(shell dpkg-query -p libwebkitgtk-dev | grep Depends | sed -r 's/.*(libwebkitgtk[^ ]+).*/\1/')
GTKLAUNCHER=$(shell dpkg-query -L $(LIBWEBKIT_PKG) | grep GtkLauncher)
DISTRO=$(shell lsb_release -is)
CONFIG_FILE=debian/config/$(DISTRO).h
ifneq (0, $(shell test -e $(CONFIG_FILE); echo "$$?"))
	DISTRO=Debian
endif

%:
	dh $@

WAF=./waf

debian/presubj: debian/presubj.in
	@echo "presubj parameters:"
	@echo "Replacing %LIBWEBKIT_PKG% with $(LIBWEBKIT_PKG)"
	@echo "Replacing %GTKLAUNCHER% with $(GTKLAUNCHER)"
#	test -f "/var/lib/dpkg/info/$(LIBWEBKIT_PKG).list"
#	test -f "$(GTKLAUNCHER)"
#	test -n "$(GTKLAUNCHER)"
#	sed -e "s,%LIBWEBKIT_PKG%,$(LIBWEBKIT_PKG),g" -e "s,%GTKLAUNCHER%,$(GTKLAUNCHER),g" $@.in > $@
	cp $@.in $@

override_dh_install: debian/presubj
	$(CMD) --fail-missing

override_dh_auto_clean:
	$(WAF) --nocache distclean
	rm -rf _build_
	rm -rf .waf*
	rm -rf .lock-wscript

override_dh_auto_configure:
	$(WAF) --nocache configure --debug-level=none --prefix /usr

override_dh_auto_build:
	$(WAF) build --nocache -v

#override_dh_auto_test:
#	xvfb-run $(WAF) --nocache check

override_dh_auto_install:
	$(WAF) --nocache install --destdir debian/tmp
	rm -f debian/tmp/usr/share/doc/midori/COPYING debian/tmp/usr/share/doc/midori/TRANSLATE
	install -m 0644 debian/$(DISTRO)-config debian/tmp/etc/xdg/midori/config

PRIORITY=$(shell sed -r -e '/DEBIAN_WWW_ALTERNATIVES_PRIORITY/ !d' -e 's/.* ([^ ]*)$$/\1/' $(CONFIG_FILE))

debian/midori.postinst: debian/midori.postinst.base
	sed "s/DEBIAN_WWW_ALTERNATIVES_PRIORITY/$(PRIORITY)/g" debian/midori.postinst.base > debian/midori.postinst

override_dh_installdeb: debian/midori.postinst
	$(CMD)

override_dh_strip:
	$(CMD) --dbg-package=midori-dbg

override_dh_installchangelogs:
	rm -f debian/midori/usr/share/doc/midori/ChangeLog
	dh_installchangelogs ChangeLog

## midori 0.5.8-1~precise~ppa1+6.0.1trisquel2

=== debian/changelog ===
midori (0.5.8-1~precise~ppa1+6.0.1trisquel2) toutatis; urgency=low

  * Search engines configured for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 03 Jan 2015 16:57:55 +0000

midori (0.5.8-1~precise~ppa1) precise; urgency=low

  * New upstream release

 -- cartes <cartes34@aliceadsl.fr>  Fri, 04 Apr 2014 09:28:36 +0200

midori (0.5.7-1~precise~ppa1) precise; urgency=low

  * New upstream release

 -- cartes <cartes34@aliceadsl.fr>  Sat, 18 Jan 2014 09:19:15 +0100

midori (0.5.6-1~precise~ppa3) precise; urgency=low

  * New upstream release

 -- cartes <cartes34@aliceadsl.fr>  Sat, 18 Jan 2014 09:19:08 +0100

midori (0.5.6-1~precise~ppa2) precise; urgency=low

  * New upstream release
  * Correct rules files

 -- cartes <cartes34@aliceadsl.fr>  Wed, 20 Nov 2013 19:20:29 +0100

midori (0.5.6-1~precise~ppa1) precise; urgency=low

  * New upstream release

 -- cartes <cartes34@cartes-aliceadsl.fr>  Wed, 20 Nov 2013 18:57:46 +0100

midori (0.5.5-1~precise~ppa1) precise; urgency=low

  * New upstream release

 -- cartes <cartes34@aliceadsl.fr>  Sun, 18 Aug 2013 17:04:58 +0200

midori (0.5.4-1~precise~ppa1) precise; urgency=low

  * New upstream release

 -- cartes <cartes34@aliceadsl.fr>  Tue, 16 Jul 2013 18:26:54 +0200

midori (0.5.2-1~precise~ppa1) precise; urgency=low

  * New upstream release.

 -- cartes <cartes34@aliceadsl.fr>  Sat, 18 May 2013 08:40:03 +0200

midori (0.5.1-1~precise~ppa1) precise; urgency=low

  * New upstream release.

 -- cartes <cartes34@aliceadsl.fr>  Fri, 17 May 2013 10:20:09 +0200

midori (0.5.0-1~precise~ppa1) precise; urgency=low

  * New upstream release.

 -- cartes <cartes34@aliceadsl.fr>  Sat, 20 Apr 2013 11:34:13 +0200

midori (0.4.9-1~precise~ppa1) precise; urgency=low

  * New upstream release.

 -- Liviu Andronic <landronimirc@gmail.com>  Sat, 09 Mar 2013 16:30:47 +0100

=== debian/control ===
--- 
+++ 
@@ -7,26 +7,29 @@
  lsb-release,
  libgtk2.0-dev (>= 2.10),
  libglib2.0-dev,
- libwebkit-dev (>= 1.1.17),
+ libwebkitgtk-dev (>> 1.4.2),
  libxml2-dev (>= 2.6),
-# For waf:
- python,
+# For cmake:
+ cmake,
 # Optional dependencies:
  intltool,
  libidn11-dev,
  librsvg2-bin,
  libsqlite3-dev,
  libunique-dev (>= 1.0.6),
- python-docutils,
- libsoup2.4-dev (>= 2.27.90),
+ libsoup-gnome2.4-dev,
  libnotify-dev,
- valac (>= 0.10),
+ valac-0.16 | valac (>= 0.16),
+# libclutter-gtk-1.0-dev,
  libzeitgeist-dev,
 # For testing under xvfb:
  xvfb,
  xauth,
  xfonts-base,
+ humanity-icon-theme,
+ gdb,
  hardening-wrapper,
+ devscripts,
  libxss-dev
 # Disabled optional dependencies:
 Build-Conflicts: gtk-doc-tools,

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS+=-Wl,--as-needed -Wl,-O1

export DEB_BUILD_HARDENING=1

CMD=$(shell echo $@ | sed 's/override_//')

LIBWEBKIT_PKG=$(shell dpkg-query -p libwebkitgtk-dev | grep Depends | sed -r 's/.*(libwebkitgtk[^ ]+).*/\1/')
#LIBWEBKIT_PKG="libwebkitgtk-3.0-0"
GTKLAUNCHER=$(shell dpkg-query -L $(LIBWEBKIT_PKG) | grep GtkLauncher)
DISTRO=$(shell lsb_release -is)
CONFIG_FILE=debian/config/$(DISTRO).h
ifneq (0, $(shell test -e $(CONFIG_FILE); echo "$$?"))
	DISTRO=Debian
endif

DEBIAN_DIST_VERSION:= $(shell lsb_release -sr)
CONFIGURE_FLAGS=
# libzeitgeist-dev on Oneiric is too old
ifeq (,$(11.10,$(DEBIAN_DIST_VERSION)))
	CONFIGURE_FLAGS += --disable-zeitgeist
endif

%:
	dh $@

debian/presubj: debian/presubj.in
	@echo "presubj parameters:"
	@echo "Replacing %LIBWEBKIT_PKG% with $(LIBWEBKIT_PKG)"
	@echo "Replacing %GTKLAUNCHER% with $(GTKLAUNCHER)"
	test -f "/var/lib/dpkg/info/$(LIBWEBKIT_PKG).list"
	test -f "$(GTKLAUNCHER)"
	test -n "$(GTKLAUNCHER)"
	sed -e "s,%LIBWEBKIT_PKG%,$(LIBWEBKIT_PKG),g" -e "s,%GTKLAUNCHER%,$(GTKLAUNCHER),g" $@.in > $@

override_dh_install: debian/presubj
	$(CMD) --fail-missing

override_dh_auto_clean:
	make clean || true
	rm -rf _build

override_dh_auto_configure:
	./configure --prefix=/usr $(CONFIGURE_FLAGS)

override_dh_auto_build:
	make

override_dh_auto_test:
	xvfb-run make check || true

override_dh_auto_install:
	make install DESTDIR=../debian/tmp
	rm -f debian/tmp/usr/share/doc/midori/COPYING debian/tmp/usr/share/doc/midori/TRANSLATE
	install -m 0644 debian/$(DISTRO)-config debian/tmp/etc/xdg/midori/config

PRIORITY=$(shell sed -r -e '/DEBIAN_WWW_ALTERNATIVES_PRIORITY/ !d' -e 's/.* ([^ ]*)$$/\1/' $(CONFIG_FILE))

debian/midori.postinst: debian/midori.postinst.base
	sed "s/DEBIAN_WWW_ALTERNATIVES_PRIORITY/$(PRIORITY)/g" debian/midori.postinst.base > debian/midori.postinst

override_dh_installdeb: debian/midori.postinst
	$(CMD)

override_dh_strip:
	$(CMD) --dbg-package=midori-dbg

override_dh_installchangelogs:
	rm -f debian/midori/usr/share/doc/midori/ChangeLog
	dh_installchangelogs ChangeLog

## midori 0.5.9-1~trusty~ppa1+7.0trisquel1

=== CMakeLists.txt ===
# Copyright (C) 2013 Christian Dywan <christian@twotoasts.de>

cmake_minimum_required(VERSION 2.6)
cmake_policy(VERSION 2.6)
# Work-around a bug in the included FindGettext fixed with 2.8.8
# See http://www.cmake.org/pipermail/cmake-commits/2012-February/012117.html
if ("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_PATCH_VERSION}" VERSION_LESS "2.8.8")
    cmake_policy(SET CMP0002 OLD)
endif ()
project(midori C)
add_definitions("-DPACKAGE_NAME=\"${CMAKE_PROJECT_NAME}\"")
add_definitions("-DPACKAGE_BUGREPORT=\"https://bugs.launchpad.net/midori\"")

set(VERSION 0.5.9)
add_definitions("-DMIDORI_VERSION_SUFFIX=\"${VERSION}\"")
 
string(REPLACE "." ";" VERSION_LIST ${VERSION})
LIST(GET VERSION_LIST 0 MIDORI_MAJOR_VERSION)
add_definitions("-DMIDORI_MAJOR_VERSION=${MIDORI_MAJOR_VERSION}")
LIST(GET VERSION_LIST 1 MIDORI_MINOR_VERSION)
add_definitions("-DMIDORI_MINOR_VERSION=${MIDORI_MINOR_VERSION}")
LIST(GET VERSION_LIST 2 MIDORI_MICRO_VERSION)
add_definitions("-DMIDORI_MICRO_VERSION=${MIDORI_MICRO_VERSION}")

execute_process(COMMAND "bzr" "revno"
                OUTPUT_VARIABLE REVISION
                ERROR_QUIET
                OUTPUT_STRIP_TRAILING_WHITESPACE)
if (REVISION)
    set(VERSION "${VERSION}~r${REVISION}")
    # All warnings are errors in development builds
    set(VALAFLAGS ${VALAFLAGS} --fatal-warnings)
    set(CFLAGS "${CFLAGS}")
endif ()
add_definitions("-DPACKAGE_VERSION=\"${VERSION}\"")

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
# Disallow building during install to avoid permission problems
set(CMAKE_SKIP_INSTALL_ALL_DEPENDENCY 1)

find_package(Vala REQUIRED)
vala_require("0.16.0")
set(VALAFLAGS ${VALAFLAGS}
    --enable-deprecated
    --debug
    )

include(GNUInstallDirs)
set(DATADIR ${CMAKE_INSTALL_FULL_DATADIR})
add_definitions("-DMDATADIR=\"${DATADIR}\"")
add_definitions("-DSYSCONFDIR=\"${CMAKE_INSTALL_FULL_SYSCONFDIR}\"")
add_definitions("-DLIBDIR=\"${CMAKE_INSTALL_FULL_LIBDIR}\"")
add_definitions("-DDOCDIR=\"${CMAKE_INSTALL_FULL_DOCDIR}\"")

add_definitions("-DENABLE_NLS=1")
add_definitions("-DLOCALEDIR=\"${CMAKE_INSTALL_FULL_LOCALEDIR}\"")

file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/config.h" "/* # generated file (stub) */")
add_definitions("-DHAVE_CONFIG_H=1")

find_file (UNISTD unistd.h)
if (UNISTD)
    add_definitions("-DHAVE_UNISTD_H")
endif ()

if (UNIX)
    find_file (SIGNAL signal.h)
    if (SIGNAL)
        add_definitions("-DHAVE_SIGNAL_H")
    endif ()
endif ()

find_library (X11 X11)
if (X11)
    # Pass /usr/X11R6/include for OpenBSD
    find_file (SCRNSAVER X11/extensions/scrnsaver.h /usr/X11R6/include)
    find_library (XSS Xss /usr/lib/X11R6/lib)
    if (SCRNSAVER AND XSS)
        add_definitions("-DHAVE_X11_EXTENSIONS_SCRNSAVER_H")
        set(OPTS_LIBRARIES "${OPTS_LIBRARIES};${XSS};${X11}")
    endif ()
endif ()

if (WIN32)
    set(VALAFLAGS ${VALAFLAGS} -D HAVE_WIN32)
endif ()

if (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
    set(VALAFLAGS ${VALAFLAGS} -D HAVE_FREEBSD)
endif ()

if (${CMAKE_SYSTEM_NAME} MATCHES "DragonFly")
    set(VALAFLAGS ${VALAFLAGS} -D HAVE_DRAGONFLY)
    set(DFLY 1)
endif ()

if (APPLE)
    add_definitions("-DHAVE_OSX=1")
    set(VALAFLAGS ${VALAFLAGS} -D HAVE_OSX)
else ()
    add_definitions("-DHAVE_OSX=0")
endif ()

# Check if execinfo.h header exists
string(FIND ${CMAKE_SYSTEM_NAME} "BSD" BEGIN)
if (${BEGIN} GREATER 0)
    string(SUBSTRING ${CMAKE_SYSTEM_NAME} ${BEGIN} 3 BSD)
else()
    set(BSD 0)
endif()
if (UNIX AND NOT BSD AND NOT DFLY)
    set(VALAFLAGS ${VALAFLAGS} -D HAVE_EXECINFO_H)
endif ()

find_package(PkgConfig)
pkg_check_modules(DEPS REQUIRED
                  libxml-2.0>=2.6
                  sqlite3>=3.6.19
                  gmodule-2.0
                  gio-2.0>=2.32.3
                  libsoup-gnome-2.4>=2.27.90
                  )
add_definitions("-DHAVE_LIBXML")
add_definitions("-DGIO_VERSION=\"${DEPS_gio-2.0_VERSION}\"")
add_definitions("-DLIBSOUP_VERSION=\"${DEPS_libsoup-gnome-2.4_VERSION}\"")
set(PKGS posix linux libxml-2.0 sqlite3 gmodule-2.0 gio-2.0 libsoup-2.4)
if (${DEPS_libsoup-gnome-2.4_VERSION} VERSION_GREATER "2.29.91")
    add_definitions("-DHAVE_LIBSOUP_2_29_91")
endif ()
if (${DEPS_libsoup-gnome-2.4_VERSION} VERSION_GREATER "2.34.0")
    add_definitions("-DHAVE_LIBSOUP_2_34_0")
    set(VALAFLAGS ${VALAFLAGS} -D HAVE_LIBSOUP_2_34_0)
endif ()
if (${DEPS_libsoup-gnome-2.4_VERSION} VERSION_GREATER "2.37.1")
    add_definitions("-DHAVE_LIBSOUP_2_37_1")
endif ()
if (${DEPS_libsoup-gnome-2.4_VERSION} VERSION_GREATER "2.40.0")
    # valac 0.16 didn't have the bindings yet
    # For consistency we need to ensure C code makes the same assumptions
    if (${VALA_VERSION} VERSION_GREATER "0.17.0")
        add_definitions("-DHAVE_LIBSOUP_2_40_0")
        set(VALAFLAGS ${VALAFLAGS} -D HAVE_LIBSOUP_2_40_0)
    endif ()
endif ()

if (WIN32)
    add_definitions("-DLIBNOTIFY_VERSION=\"No\"")
else ()
    pkg_check_modules(NOTIFY REQUIRED libnotify)
    add_definitions("-DLIBNOTIFY_VERSION=\"${NOTIFY_VERSION}\"")
    add_definitions("-DHAVE_LIBNOTIFY")
    set(OPTS_INCLUDE_DIRS "${OPTS_INCLUDE_DIRS};${NOTIFY_INCLUDE_DIRS}")
    set(OPTS_LIBRARIES "${OPTS_LIBRARIES};${NOTIFY_LIBRARIES}")
    set(PKGS ${PKGS} libnotify)
endif ()

option(USE_GTK3 "Use GTK+3" OFF)
option(HALF_BRO_INCOM_WEBKIT2 "Serve as a guniea pig" OFF)
option(USE_ZEITGEIST "Zeitgeist history integration" ON)
option(USE_GRANITE "Fancy notebook and pop-overs" OFF)
option(USE_APIDOCS "API documentation" OFF)
option(USE_GIR "Generate GObject Introspection bindings" OFF)
option(EXTRA_WARNINGS "Additional compiler warnings" OFF)

# GTK+3 is implied here, whether set or not
if (USE_GRANITE OR HALF_BRO_INCOM_WEBKIT2)
    set(USE_GTK3 ON)
endif ()

if (USE_GRANITE)
    pkg_check_modules(GRANITE granite>=0.2)
    set(OPTS_INCLUDE_DIRS "${OPTS_INCLUDE_DIRS};${GRANITE_INCLUDE_DIRS}")
    set(OPTS_LIBRARIES "${OPTS_LIBRARIES};${GRANITE_LIBRARIES}")
    add_definitions("-DHAVE_GRANITE")
    add_definitions("-DGRANITE_VERSION=\"${GRANITE_VERSION}\"")
    set(VALAFLAGS ${VALAFLAGS} -D HAVE_GRANITE)
    set(PKGS ${PKGS} granite)
else ()
    add_definitions("-DGRANITE_VERSION=\"No\"")
endif()

if (USE_ZEITGEIST)
    pkg_check_modules(ZEITGEIST zeitgeist-1.0>=0.3.14)
    set(OPTS_INCLUDE_DIRS "${OPTS_INCLUDE_DIRS};${ZEITGEIST_INCLUDE_DIRS}")
    set(OPTS_LIBRARIES "${OPTS_LIBRARIES};${ZEITGEIST_LIBRARIES}")
    add_definitions("-DHAVE_ZEITGEIST")
    set(PKGS ${PKGS} zeitgeist-1.0)
endif()

if (USE_GTK3)
    pkg_check_modules(GCR gcr-3>=2.32)
    if (GCR_VERSION)
        set(OPTS_INCLUDE_DIRS "${OPTS_INCLUDE_DIRS};${GCR_INCLUDE_DIRS}")
        set(OPTS_LIBRARIES "${OPTS_LIBRARIES};${GCR_LIBRARIES}")
        add_definitions("-DGCR_VERSION=\"${GCR_VERSION}\"")
        add_definitions("-DHAVE_GCR")
        set(VALAFLAGS ${VALAFLAGS} -D HAVE_GCR)
    else ()
        add_definitions("-DGCR_VERSION=\"No\"")
    endif ()
else ()
    add_definitions("-DGCR_VERSION=\"No\"")
endif ()

if (HALF_BRO_INCOM_WEBKIT2)
    # Note: WebKitGTK+ 2.0.0 matches 1.11.91; 1.11.92 > 2.0.0
    pkg_check_modules(DEPS_GTK REQUIRED
                      gtk+-3.0>=3.0.0
                      webkit2gtk-3.0>=1.11.91
                      javascriptcoregtk-3.0
                      )
    add_definitions("-DHAVE_WEBKIT2")
    add_definitions("-DGTK_VERSION=\"${DEPS_GTK_gtk+-3.0_VERSION}\"")
    add_definitions("-DWEBKIT_VERSION=\"${DEPS_GTK_webkit2gtk-3.0_VERSION}\"")
    set(PKGS ${PKGS} gtk+-3.0)
    set(EXTRA_VAPIS ${EXTRA_VAPIS} "${CMAKE_SOURCE_DIR}/midori/webkit2gtk-3.0.vapi")
    set(VALAFLAGS ${VALAFLAGS} -D HAVE_GTK3)
    set(VALAFLAGS ${VALAFLAGS} -D HAVE_WEBKIT2)
    if (${DEPS_GTK_webkit2gtk-3.0_VERSION} VERSION_GREATER "2.3.90")
        set(VALAFLAGS ${VALAFLAGS} -D HAVE_WEBKIT2_3_91)
    endif ()
elseif (USE_GTK3)
    pkg_check_modules(DEPS_GTK REQUIRED
                      gtk+-3.0>=3.0.0
                      webkitgtk-3.0>=1.8.1
                      javascriptcoregtk-3.0
                      )
    add_definitions("-DGTK_VERSION=\"${DEPS_GTK_gtk+-3.0_VERSION}\"")
    add_definitions("-DWEBKIT_VERSION=\"${DEPS_GTK_webkitgtk-3.0_VERSION}\"")
    set(PKGS ${PKGS} gtk+-3.0)
    set(EXTRA_VAPIS ${EXTRA_VAPIS} "${CMAKE_SOURCE_DIR}/midori/webkitgtk-3.0.vapi")
    set(VALAFLAGS ${VALAFLAGS} -D HAVE_GTK3)
else ()
    pkg_check_modules(DEPS_GTK REQUIRED
                      gtk+-2.0>=2.24.0
                      webkit-1.0>=1.8.1
                      javascriptcoregtk-1.0
                      )
    add_definitions("-DGTK_VERSION=\"${DEPS_GTK_gtk+-2.0_VERSION}\"")
    add_definitions("-DWEBKIT_VERSION=\"${DEPS_GTK_webkit-1.0_VERSION}\"")
    set(PKGS ${PKGS} gtk+-2.0)
    set(EXTRA_VAPIS ${EXTRA_VAPIS} "${CMAKE_SOURCE_DIR}/midori/webkitgtk-3.0.vapi")
endif ()

# dh_translations detects this if there's no variable used
set (GETTEXT_PACKAGE "midori")
add_definitions("-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\"")

set(CFLAGS "${CFLAGS} -Wall -Wundef -Wno-deprecated-declarations -g")

if (EXTRA_WARNINGS)
    LIST(APPEND EXTRA_CFLAGS_LIST
        -Wextra
        -Wno-unused-parameter
        -Wno-missing-field-initializers
        -Wno-comment
        -Waggregate-return
        -Wredundant-decls
        -Wshadow -Wpointer-arith -Wcast-align
        -Winline -Wformat-security -fno-common
        -Winit-self -Wundef
        -Wnested-externs
    )
    string(REPLACE ";" " " EXTRA_CFLAGS "${EXTRA_CFLAGS_LIST}")
    set(CFLAGS "${CFLAGS} ${EXTRA_CFLAGS}")
else ()
    if (REVISION)
        set(CFLAGS "${CFLAGS} -Werror")
    endif()
endif ()

# Explicitly add -fPIC for older toolchains
set(VALA_CFLAGS "-w -g -fPIC")

set(LIBMIDORI "${CMAKE_PROJECT_NAME}-core")

# CMake provides no uninstall target by design
add_custom_target (uninstall
    COMMAND "xargs" "rm" "-v" "<" "install_manifest.txt")

install(FILES AUTHORS COPYING ChangeLog EXPAT README DESTINATION ${CMAKE_INSTALL_DOCDIR})

add_subdirectory (midori)
add_subdirectory (extensions)
enable_testing()
add_subdirectory (tests)
add_subdirectory (po)
add_subdirectory (icons)
add_subdirectory (data)
add_subdirectory (config)

if (USE_APIDOCS)
    add_subdirectory (docs/api)
endif ()
if (USE_GIR)
    add_subdirectory (gir)
endif ()

=== extensions/CMakeLists.txt ===
# Copyright (C) 2013 Christian Dywan <christian@twotoasts.de>

set(EXTENSIONDIR "${CMAKE_INSTALL_FULL_LIBDIR}/${CMAKE_PROJECT_NAME}")
include_directories(
                    "${CMAKE_SOURCE_DIR}"
                    "${CMAKE_SOURCE_DIR}/midori"
                    "${CMAKE_SOURCE_DIR}/katze"
                    ${DEPS_INCLUDE_DIRS}
                    ${OPTS_INCLUDE_DIRS}
                    ${DEPS_GTK_INCLUDE_DIRS}
                    ${OPTS_GTK_INCLUDE_DIRS}
                    ${CMAKE_BINARY_DIR}
                    "${CMAKE_BINARY_DIR}/midori"
                    )
file(GLOB EXTENSIONS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *)
if (HALF_BRO_INCOM_WEBKIT2)
    list(REMOVE_ITEM EXTENSIONS
         "cookie-permissions"
         "addons.c"
         "formhistory"
         "external-download-manager.vala"
         "nojs"
         "nsplugin-manager.vala"
         )
endif ()

# FIXME: re-enable webmedia extension
# once we have working notifications on win
if (WIN32)
    list(REMOVE_ITEM EXTENSIONS "webmedia-now-playing.vala")
endif()

foreach(UNIT_SRC ${EXTENSIONS})
    string(FIND ${UNIT_SRC} ".c" UNIT_EXTENSION)
    if (UNIT_EXTENSION GREATER -1)
        string(REPLACE ".c" "" UNIT ${UNIT_SRC})
        add_library(${UNIT} MODULE ${UNIT_SRC})
        target_link_libraries(${UNIT}
                              ${LIBMIDORI}
                              )
        set_target_properties(${UNIT} PROPERTIES
                              COMPILE_FLAGS ${CFLAGS}
                              )
        install(TARGETS ${UNIT}
            LIBRARY DESTINATION ${EXTENSIONDIR}
                )
    endif ()
endforeach ()

foreach(UNIT_SRC ${EXTENSIONS})
    string(FIND ${UNIT_SRC} "." UNIT_EXTENSION)
    if (UNIT_EXTENSION EQUAL -1)
        file(GLOB UNIT_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "${UNIT_SRC}/*.c")
        file(GLOB UNIT_FILES_VALA RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "${UNIT_SRC}/*.vala")
        if (UNIT_FILES_VALA)
            include(ValaPrecompile)
            vala_precompile(UNIT_SRC_C ${UNIT_SRC}
                ${UNIT_FILES_VALA}
            PACKAGES
                ${PKGS}
            OPTIONS
                ${VALAFLAGS}
            GENERATE_HEADER
                ${UNIT}
            CUSTOM_VAPIS
                ${EXTRA_VAPIS}
                "${CMAKE_SOURCE_DIR}/midori/midori.vapi"
                "${CMAKE_SOURCE_DIR}/katze/katze.vapi"
                "${CMAKE_BINARY_DIR}/midori/${LIBMIDORI}.vapi"
            )
            set(UNIT_FILES ${UNIT_FILES} ${UNIT_SRC_C})
        endif ()
        if (UNIT_FILES)
            add_library(${UNIT_SRC} MODULE ${UNIT_FILES})
            target_link_libraries(${UNIT_SRC}
                                  ${LIBMIDORI}
                                  )
            install(TARGETS ${UNIT_SRC}
                    LIBRARY DESTINATION ${EXTENSIONDIR}
                    )
            # extensions with vala code get the lenient VALA_CFLAGS
            # others get the usual CFLAGS with -Wall and -Werror
	    if (UNIT_FILES_VALA)
		set_target_properties(${UNIT_SRC} PROPERTIES
				      COMPILE_FLAGS ${VALA_CFLAGS}
				      )
	    else ()
		set_target_properties(${UNIT_SRC} PROPERTIES
				      COMPILE_FLAGS ${CFLAGS}
				      )
	    endif ()
        endif ()
    endif ()
endforeach ()

foreach(UNIT_SRC ${EXTENSIONS})
    string(FIND ${UNIT_SRC} ".vala" UNIT_EXTENSION)
    if (UNIT_EXTENSION GREATER -1)
        string(REPLACE ".vala" "" UNIT ${UNIT_SRC})
        include(ValaPrecompile)
        vala_precompile(UNIT_SRC_C ${UNIT}
            ${UNIT_SRC}
        PACKAGES
            ${PKGS}
        OPTIONS
            ${VALAFLAGS}
        GENERATE_HEADER
            ${UNIT}
        CUSTOM_VAPIS
            ${EXTRA_VAPIS}
            "${CMAKE_SOURCE_DIR}/midori/midori.vapi"
            "${CMAKE_SOURCE_DIR}/katze/katze.vapi"
            "${CMAKE_BINARY_DIR}/midori/${LIBMIDORI}.vapi"
        )
        add_library(${UNIT} MODULE ${UNIT_SRC_C})
        target_link_libraries(${UNIT}
                              ${LIBMIDORI}
                              )
        set_target_properties(${UNIT} PROPERTIES
                              COMPILE_FLAGS "${VALA_CFLAGS}"
                              )
        install(TARGETS ${UNIT}
                LIBRARY DESTINATION ${EXTENSIONDIR}
                )
    endif ()
endforeach ()

=== tests/CMakeLists.txt ===
# Copyright (C) 2013 Christian Dywan <christian@twotoasts.de>

include(ContainTest)
add_custom_target(check COMMAND "env" "CTEST_OUTPUT_ON_FAILURE=1" "${CMAKE_CTEST_COMMAND}")

include_directories(
                    "${CMAKE_SOURCE_DIR}"
                    "${CMAKE_SOURCE_DIR}/midori"
                    ${DEPS_INCLUDE_DIRS}
                    ${OPTS_INCLUDE_DIRS}
                    ${DEPS_GTK_INCLUDE_DIRS}
                    ${CMAKE_BINARY_DIR}
                    "${CMAKE_BINARY_DIR}/midori"
                    )
file(GLOB TESTS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.c *.vala)
foreach(UNIT_SRC ${TESTS})
    if (${UNIT_SRC} MATCHES "(.vala)$")
        string(REPLACE ".vala" "" UNIT ${UNIT_SRC})
        include(ValaPrecompile)
        vala_precompile(UNIT_SRC_C ${UNIT}
            ${UNIT_SRC}
        PACKAGES
            ${PKGS}
        OPTIONS
            ${VALAFLAGS}
        CUSTOM_VAPIS
            ${EXTRA_VAPIS}
            "${CMAKE_SOURCE_DIR}/midori/midori.vapi"
            "${CMAKE_SOURCE_DIR}/katze/katze.vapi"
            "${CMAKE_BINARY_DIR}/midori/${LIBMIDORI}.vapi"
        )

        add_executable(${UNIT} ${UNIT_SRC_C})
        set_target_properties(${UNIT} PROPERTIES
                              COMPILE_FLAGS "${VALA_CFLAGS}"
                              )
    else()
        string(REPLACE ".c" "" UNIT ${UNIT_SRC})
        add_executable(${UNIT} ${UNIT_SRC})
        set_target_properties(${UNIT} PROPERTIES
                              COMPILE_FLAGS ${CFLAGS}
                              )
    endif()

    target_link_libraries(${UNIT}
                          ${LIBMIDORI}
                          )
    add_test(NAME ${UNIT} COMMAND ${UNIT})
    contain_test (${UNIT} ${UNIT})
endforeach ()

file(GLOB TESTS ${CMAKE_BINARY_DIR}/extensions/lib*.so)
foreach(UNIT ${TESTS})
    string(REPLACE ${CMAKE_BINARY_DIR} "" TEST ${UNIT})
    string(REPLACE "/" "-" TEST ${TEST})
    string(REPLACE "-extensions-lib" "" TEST ${TEST})
    string(REPLACE ".so" "" TEST ${TEST})
    add_test(NAME ${TEST} COMMAND $<TARGET_FILE:extensions> -e ${UNIT})
    set(exe $<TARGET_FILE:extensions> -e ${UNIT})
    contain_test (${TEST} "${exe}")
endforeach()

file(GLOB TESTS *.sh)
foreach(UNIT_SRC ${TESTS})
    string(REPLACE ".sh" "" UNIT ${UNIT_SRC})
    add_test(NAME ${UNIT} COMMAND ${UNIT_SRC})
    file(RELATIVE_PATH BLDDIR ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})
    set_tests_properties(${UNIT} PROPERTIES
                         ENVIRONMENT "SRCDIR=${CMAKE_SOURCE_DIR};BLDDIR=${BLDDIR};"
                         )
endforeach ()

=== debian/changelog ===
midori (0.5.9-1~trusty~ppa1+7.0trisquel1) belenos; urgency=medium

  * Search engines configured for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 22 Nov 2014 21:21:05 +0100

midori (0.5.9-1~trusty~ppa1) trusty; urgency=low

  * New upstream release

 -- cartes <cartes34@aliceadsl.fr>  Sat, 22 Nov 2014 11:09:11 +0100

midori (0.5.8-1~trusty~ppa1) trusty; urgency=low

  * New upstream release.

 -- cartes <cartes34@aliceadsl.fr>  Fri, 04 Apr 2014 10:02:47 +0200

midori (0.5.7-1~trusty~ppa1) trusty; urgency=low

  * New upstream release.

 -- cartes <cartes34@aliceadsl.fr>  Thu, 16 Jan 2014 18:50:48 +0100

midori (0.5.6-1~trusty~ppa1) trusty; urgency=low

  * New upstream release

 -- cartes <cartes34@aliceadsl.fr>  Thu, 19 Dec 2013 18:53:49 +0100

midori (0.5.6-1~saucy~ppa3) saucy; urgency=low

  * New upstream release

 -- cartes <cartes34@aliceadsl.fr>  Sat, 23 Nov 2013 17:22:53 +0100

midori (0.5.6-1~saucy~ppa1) saucy; urgency=low

  * New upstream release

 -- cartes <cartes34@aliceadsl.fr>  Wed, 20 Nov 2013 19:42:30 +0100

midori (0.5.5-1~saucy~ppa1) saucy; urgency=low

  * New upstream release

 -- cartes <cartes34@aliceadsl.fr>  Mon, 19 Aug 2013 11:23:27 +0200

midori (0.5.4-1~saucy~ppa1) saucy; urgency=low

  * New upstream release.

 -- cartes <cartes34@aliceadsl.fr>  Wed, 17 Jul 2013 18:24:25 +0200

midori (0.5.2-1~saucy~ppa1) saucy; urgency=low

  * New upstream release.

 -- cartes <cartes34@aliceadsl.fr>  Sat, 18 May 2013 15:08:06 +0200

midori (0.5.1-1~raring~ppa1) raring; urgency=low

  * New upstream release.

 -- cartes <cartes34@aliceadsl.fr>  Fri, 17 May 2013 10:45:58 +0200

midori (0.5.0-1~raring~ppa1) raring; urgency=low

  * New upstream release.

 -- cartes <cartes34@aliceadsl.fr>  Sat, 20 Apr 2013 09:43:10 +0200

midori (0.4.9-1~raring~ppa1) raring; urgency=low

  * New upstream release.

 -- Liviu Andronic <landronimirc@gmail.com>  Sat, 09 Mar 2013 16:30:47 +0100

midori (0.4.8-1~raring~ppa1) raring; urgency=low

  * New upstream release.

 -- Liviu Andronic <landronimirc@gmail.com>  Thu, 07 Feb 2013 16:30:47 +0100

midori (0.4.7-1~quantal~ppa1) quantal; urgency=low

  * Initial import from Precise.

 -- Liviu Andronic <landronimirc@gmail.com>  Sun, 23 Sep 2012 16:30:47 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  libunique-dev (>= 1.0.6),
  libsoup-gnome2.4-dev,
  libnotify-dev,
- valac-0.16 | valac (>= 0.16),
+ valac-0.16,
 # libclutter-gtk-1.0-dev,
  libzeitgeist-dev,
 # For testing under xvfb:

=== debian/rules ===
--- 
+++ 
@@ -31,9 +31,9 @@
 	@echo "presubj parameters:"
 	@echo "Replacing %LIBWEBKIT_PKG% with $(LIBWEBKIT_PKG)"
 	@echo "Replacing %GTKLAUNCHER% with $(GTKLAUNCHER)"
-	test -f "/var/lib/dpkg/info/$(LIBWEBKIT_PKG).list"
-	test -f "$(GTKLAUNCHER)"
-	test -n "$(GTKLAUNCHER)"
+	# test -f "/var/lib/dpkg/info/$(LIBWEBKIT_PKG).list"
+	# test -f "$(GTKLAUNCHER)"
+	# test -n "$(GTKLAUNCHER)"
 	sed -e "s,%LIBWEBKIT_PKG%,$(LIBWEBKIT_PKG),g" -e "s,%GTKLAUNCHER%,$(GTKLAUNCHER),g" $@.in > $@
 
 override_dh_install: debian/presubj

## midori 0.5.11

=== midori/CMakeLists.txt ===
# Copyright (C) 2013 Christian Dywan <christian@twotoasts.de>

set(LIBMIDORI_VERSION 0.5.5)
set(LIBMIDORI_SOVERSION 0)

file(GLOB MIDORI_VALA_SOURCE ../katze/*.vala *.vala ../panels/*.vala)
file(GLOB LIBMIDORI_SOURCE ../katze/*.c ../panels/*.c ../toolbars/*.c midori-*.vala midori-*.c sokoke.c)
include(GLibHelpers)
add_glib_marshal(LIBMIDORI_SOURCE marshal ${CMAKE_PROJECT_NAME}_cclosure_marshal "midori.h")
set(MIDORI_SOURCE
    main.c
    )

include(ValaPrecompile)
vala_precompile(LIBMIDORI_SOURCE_C ${CMAKE_PROJECT_NAME}
    ${MIDORI_VALA_SOURCE}
PACKAGES
    ${PKGS}
OPTIONS
    ${VALAFLAGS}
CUSTOM_VAPIS
    ${EXTRA_VAPIS}
GENERATE_VAPI
    "${CMAKE_PROJECT_NAME}-core"
GENERATE_HEADER
    "${CMAKE_PROJECT_NAME}-core"
)

add_library("${LIBMIDORI}-vala" STATIC ${LIBMIDORI_SOURCE_C})
target_link_libraries("${LIBMIDORI}-vala"
                      ${DEPS_LIBRARIES}
                      ${OPTS_LIBRARIES}
                      ${DEPS_GTK_LIBRARIES}
                      )
set_target_properties("${LIBMIDORI}-vala" PROPERTIES
                      COMPILE_FLAGS "${VALA_CFLAGS}"
                      POSITION_INDEPENDENT_CODE ON
                      )

add_library(${LIBMIDORI} SHARED ${LIBMIDORI_SOURCE})
include_directories(
                    ${CMAKE_SOURCE_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}
                    "${CMAKE_SOURCE_DIR}/katze"
                    "${CMAKE_SOURCE_DIR}/toolbars"
                    ${CMAKE_BINARY_DIR}
                    ${DEPS_INCLUDE_DIRS}
                    ${OPTS_INCLUDE_DIRS}
                    ${DEPS_GTK_INCLUDE_DIRS}
                    )
target_link_libraries(${LIBMIDORI}
                      "${LIBMIDORI}-vala"
                      ${DEPS_LIBRARIES}
                      ${OPTS_LIBRARIES}
                      ${DEPS_GTK_LIBRARIES}
                      )
set_target_properties(${LIBMIDORI} PROPERTIES
                      COMPILE_FLAGS ${CFLAGS}
                      SOVERSION 1
                      VERSION 0.0.0
                      )
if (WIN32)
    install(TARGETS ${LIBMIDORI}
        LIBRARY DESTINATION ${CMAKE_INSTALL_BINDIR}
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
            )
else ()
    install(TARGETS ${LIBMIDORI}
            LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
            )
endif ()

if (WIN32)
    add_executable(${CMAKE_PROJECT_NAME} WIN32 main.c "${CMAKE_SOURCE_DIR}/data/midori.rc")
else()
    add_executable(${CMAKE_PROJECT_NAME} main.c)
endif()

target_link_libraries(${CMAKE_PROJECT_NAME}
                      ${LIBMIDORI})
set_target_properties(${CMAKE_PROJECT_NAME} PROPERTIES
                      COMPILE_FLAGS ${CFLAGS}
                      )
install(TARGETS ${CMAKE_PROJECT_NAME}
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        )

## midori 0.5.11-0ubuntu1+7.0trisquel1

=== debian/changelog ===
midori (0.5.11-0ubuntu1+7.0trisquel1) belenos; urgency=medium

  * Search engines configured for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 31 Aug 2015 10:14:46 +0000

midori (0.5.11-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- cartes <cartes34@aliceadsl.fr>  Sun, 30 Aug 2015 16:22:53 +0200

midori (0.5.10-0) trusty; urgency=medium

  * New upstream release.

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 22 Apr 2015 07:52:09 +0200

midori (0.5.8-0) oneiric; urgency=low

  * New upstream release.

 -- Stéphane Marguet (Stemp) <smarguet@gmail.com>  Tue, 15 Nov 2011 14:32:04 +0100

midori (0.4.1-1) oneiric; urgency=low

  [Yves-Alexis Perez]
  * New upstream release.

 -- Stéphane Marguet (Stemp) <smarguet@gmail.com>  Tue, 02 Aug 2011 14:35:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: midori
 Section: web
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ryan Niebur <ryan@debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper (>= 7.0.50),
  lsb-release,
@@ -18,10 +18,11 @@
  libsqlite3-dev,
  libunique-dev (>= 1.0.6),
  libsoup-gnome2.4-dev,
+ libgcr-3-dev,
  libnotify-dev,
- valac-0.16,
+ valac (>= 0.16),
 # libclutter-gtk-1.0-dev,
- libzeitgeist-dev,
+ libzeitgeist-2.0-dev,
 # For testing under xvfb:
  xvfb,
  xauth,

=== debian/rules ===
--- 
+++ 
@@ -31,9 +31,9 @@
 	@echo "presubj parameters:"
 	@echo "Replacing %LIBWEBKIT_PKG% with $(LIBWEBKIT_PKG)"
 	@echo "Replacing %GTKLAUNCHER% with $(GTKLAUNCHER)"
-	# test -f "/var/lib/dpkg/info/$(LIBWEBKIT_PKG).list"
-	# test -f "$(GTKLAUNCHER)"
-	# test -n "$(GTKLAUNCHER)"
+	test -f "/var/lib/dpkg/info/$(LIBWEBKIT_PKG).list" || true
+	test -f "$(GTKLAUNCHER)" || true
+	test -n "$(GTKLAUNCHER)" || true
 	sed -e "s,%LIBWEBKIT_PKG%,$(LIBWEBKIT_PKG),g" -e "s,%GTKLAUNCHER%,$(GTKLAUNCHER),g" $@.in > $@
 
 override_dh_install: debian/presubj
